extends Control

var subtractive : bool = false


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass

func set_nothing():
	$Status_3Dots.visible = false
	$Status_ExclamationPoint.visible = false
	$Status_QuestionMark.visible = false
	
func set_3dots():
	$Status_3Dots.visible = true
	$Status_ExclamationPoint.visible = false
	$Status_QuestionMark.visible = false
	
func set_exclamationpoint():
	$Status_3Dots.visible = false
	$Status_ExclamationPoint.visible = true
	$Status_QuestionMark.visible = false

func set_questionmark():
	$Status_3Dots.visible = false
	$Status_ExclamationPoint.visible = false
	$Status_QuestionMark.visible = true

func set_timer(percent: float):
	if percent == -1:
		$StatusTimer.visible = false
	else:
		$StatusTimer.visible = true
		if subtractive:
			$StatusTimer.value = 100 - percent
			subtractive = false
		else:
			$StatusTimer.value = percent
